#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""Piper dedans un flux avec des %20 et autres cochonneries,
   il ressortira lisible."""

__author__ = "Vincent Le Gallic <legallic@crans.org>"

__license__ = "WTFPL"

import urllib
import sys
import time


red="[1;31m"
nocolor="[0m"

FOLLOW = False
if "-f" in sys.argv:
    FOLLOW = True

run = True
try:
    while run:
        l = sys.stdin.readline()
        if l != "":
            l = urllib.unquote(l)
            if "--color" in sys.argv:
                l = l.replace('"PUT ', '"%sPUT%s ' % (red, nocolor))
            sys.stdout.write(l)
        elif not FOLLOW:
            run = False
except KeyboardInterrupt:
    pass
